Full details as always on the Magento site:

https://magento.com/security/patches/supee-6788

Note that this patch may break backwards compatibility with some extension.

Check with your extension provider for updates or compatibility before patching. As usual we are happy to patch your site for you on request.